%define ver    1.0
%define ver_br 2.4
%define rel 3mdk
%define _prefix /usr

Summary: Portuguese files for ispell
Name: ispell-pt
Version: %{ver}
Release: %{rel}
Group: System/Internationalization
Source0: http://www.di.uminho.pt/~jj/pln/UMportugues.tar.bz2
Source1: http://www.ime.usp.br/~ueda/br.ispell/br.ispell-%{ver_br}.tar.bz2
URL: http://www.di.uminho.pt/~jj/pln/
Copyright: GPL
Requires: ispell
BuildRoot: /var/tmp/%{name}-root
Prefix: %{_prefix}
BuildArchitectures: noarch
Requires: locales-pt
Obsoletes: ispell.port
Obsoletes: ispell-portuguese
Obsoletes: iportug
Provides: ispell-dictionary

%description
ispell-pt has the spelling data for Portuguese which is used by
the ispell program. With this extension, you can compose a document
in Portuguese and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc. 

%package -n ispell-pt_BR
Summary: Brazilian Portuguese files for ispell
Version: %{ver_br}
Group: System/Internationalization
URL: http://www.ime.usp.br/~ueda/br.ispell/summary.html
Requires: ispell
Requires: locales-pt
Provides: ispell-dictionary

%description -n ispell-pt_BR
ispell-pt_BR has the spelling data for Brazilian Portuguese which is used
by the ispell program. With this extension, you can compose a document
in Brazilian Portuguese and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc. 

%prep
%setup -n portugues

tar yxvf %{SOURCE1}

%build

buildhash portugues.dic portugues.aff portugues.hash
make -C br.ispell-%{ver_br}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/ispell
cp *.aff *.hash $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/
cp br.ispell-%{ver_br}/br.aff $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/pt_BR.aff
cp br.ispell-%{ver_br}/br.hash $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/pt_BR.hash 

# make symlinks for compatibility with LaTeX babel 
(
  cd $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/ ;
  ln -s portugues.aff portuges.aff ; ln -s portugues.hash portuges.hash ;
  ln -s portugues.aff portugese.aff ; ln -s portugues.hash portugese.hash ;
  ln -s pt_BR.aff brazilian.aff ; ln -s pt_BR.hash brazilian.hash 
  ln -s pt_BR.aff br.aff ; ln -s pt_BR.hash br.hash 
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root,755)
%doc README*
/%{_prefix}/lib/ispell/portug*

%files -n ispell-pt_BR
%defattr(644, root, root,755)
%doc br.ispell-%{ver_br}/COPYING br.ispell-%{ver_br}/README*
/%{_prefix}/lib/ispell/pt_BR*
/%{_prefix}/lib/ispell/brazilian*


%changelog
* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-3mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language

* Mon Nov 29 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake.

